Summary: Purely load-based cpufreq userspace governor
Name: powernowd
Version: 0.90hun6
Release: 30
License: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Source0: %{name}-%{version}.tar.gz
#Source1: powernowd.init
#Source2: powernowd.sysconf
# Url: http://
ExcludeArch: s390 s390x

%description
%{name} is a simple cpufreq userspace governor daemon. It monitors
CPU load and sets the frequency as fast as necessary for the system
load. 

In contrast to other userspace governors, %{name} does NOT consider
other things like AC power, battery state, CPU temperature, etc.

%prep
%setup -q -n %{name}-%{version}

%build
make

%install
make DESTDIR=${RPM_BUILD_ROOT} install
install -m 0755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d
install -m 0755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig
cp pkg/rpm/%{name}.{init,sysconf} .
install -m 0755 %{name}.init ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/%{name}
install -m 0755 %{name}.sysconf ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}

%clean
#echo "Clean it: \"$RPM_BUILD_ROOT\""
#set | grep ^RPM

%files
%defattr(-,root,root)
%{_sbindir}/%{name}
%{_sysconfdir}/rc.d/init.d/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%doc README

%post
# Don't add/start it automagically
# chkconfig --add %{name}
# service %{name} start

%preun
# Don't stop/remove it automagically
# There may be problems when updating...
# service %{name} high
# chkconfig --del %{name}

%changelog
* Mon Feb 23 2004 Andreas Thienemann <andreas@bawue.net>
- Improved Initscript
- Cleaned up specfile
